Industry Schema
curl --request GET \
--url https://gateway.creditbenchmark.com/analytics/v2/metadata/industry-schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.creditbenchmark.com/analytics/v2/metadata/industry-schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.creditbenchmark.com/analytics/v2/metadata/industry-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"industry": {
"levels": {
"CB_Industry": "L1",
"CB_Super_Sector": "L2",
"CB_Sector": "L3",
"CB_Sub_Sector": "L4"
},
"tree": {
"Financials": {
"Banks": {
"Banks": [
"Banks"
]
},
"Financial Services": {
"Financial Services": [
"Asset Managers",
"Consumer Finance"
]
}
}
}
},
"entity_types": {
"levels": {
"CB_Entity_Type": "L1",
"CB_Entity_Sub_Type": "L2"
},
"tree": {
"Corporates": [
"Corporates"
]
}
}
}{
"detail": "Unauthorized request"
}{
"error": "Client-backed analytics inputs require contributor entitlement."
}{
"error": "Rate limit exceeded",
"detail": "60 per 1 minute"
}{
"error": "An error occurred while processing your request. Please try again later."
}Returns the CB industry hierarchy as L1 through L6 rows for scope filters, facets, and hierarchy-aware analytics.
GET
/
analytics
/
v2
/
metadata
/
industry-schema
Industry Schema
Authorizations
JWT bearer token.
Last modified on July 10, 2026
Was this page helpful?
⌘I

